PDA

Visualizza la versione completa : Linux e PHP


chenotebook
17-12-2009, 18:41
Ciao a tutti..

Ho un linux con installato sopra cent os e a questo ci ho messo kloxo

Penso che installando kloxo si sia installato o no?? PHP

(se c'è qualcosa di meglio di kloxo che permetta anche di gestire oltre i domini anche le estensioni di php, me lo consigliate))

Vorrei sapere come faccio ad aggiungere estensioni a php???

Che file dovrei cercare e dove potrebbe stare??

sacarde
18-12-2009, 10:43
i pacchett installati li vedi da:

Visualizzare tutti i pacchetti rpm installati:
# rpm -qa


Eseguire una query al db rpm filtrando tutti pacchetti contenenti la stringa 'php':
# rpm -qa | grep php


Ottenere informazioni su un determinato pacchetto installato, esempio:
# rpm -qi httpd



p.s.
ci dovrebbe essere anche l'interfaccia grafica

chenotebook
18-12-2009, 15:26
forse bisogna installarli magari??

Io poi siccome non so usare bene linux ho messo direttamente kloxo e ho inserito i domini che mi servivano però evidentemente non supporta quelle cose che ti ho scritto sopra...

Pero dal panello di kloxo non posso modificare le estensioni??

Devo cambiare Kloxo e sostituirlo??

chenotebook
18-12-2009, 15:30
facendo il tuo procedimento (grazie 10000!!)
esce
php-cli-5.2.6-5
php-5.2.6-5
php-imap-5.2.6-5
php-pear-1.4.9-6.el5
php-gd-5.2.6-5
mod_suphp-0.6.2-1.el5.rf
php-common-5.2.6-5
php-pdo-5.2.6-5
php-mysql-5.2.6-5
php-devel-5.2.6-5
lxphp-5.2.1-400
php-mcrypt-5.2.6-5
php-xml-5.2.6-5

però comunque continua ad uscirmi
magento-core/Lib_PEAR requires PHP extension "PDO"
magento-core/Lib_PEAR requires PHP extension "dom"
magento-core/Lib_PEAR requires PHP extension "gd"
magento-core/Lib_PEAR requires PHP extension "pdo_mysql"
magento-core/Lib_PEAR requires PHP extension "mcrypt"

Quindi evidentemente c'è qualcosa che non va. boh..
Eventualmente bisogna installarli ma come, io ho kloxo installato e da li carico i domini

sacarde
18-12-2009, 17:44
... non lo conosco


http://www.lxcenter.org/kloxo.htm e pagine seguenti



p.s.
per vedere quali estensioni hai:
http://www.talkphp.com/general/1403-what-php-extensions-your-server.html

Marcolino's
18-12-2009, 20:45
La cosa migliore che potevi fare era prima installare un web server LAMP, magari direttamente dai pacchetti rpm e poi provare a installare kloxo che però non conosco.
Io sui server di produzione dove tra l'altro ho installata proprio la CentOS uso il cpanel che a sua volta utilizza mi pare easyphp.
cPanel non mi piace affatto e in più e a pagamento, però mi tocca usarlo, quello che so è che ha un buon pannello di controllo per l'amministratore da dove puoi anche installare tutto il sistema LAMP.
Venendo al tuo problema, il sistema ti sta dicendo che non sono state installate le librerie PDO, mycript e altre del PHP, probabilmente dovuto al fatto che l'installatore non le ha installate.
Cerca il php.ini e guardaci dentro, non ricordo il path per le estensioni, puoi cercarle però. Considera che si chiamano qualcosa.so controlla se ci sono e se sono incluse nel php.ini.
Fatto questo riavvia il server e controlla di nuovo se funziona.

Marcolino's
18-12-2009, 20:49
In effetti però sembrerebbe che Kloxo non installi di suo PHP, o meglio, qui non viene riportato http://lxlabs.com/software/kloxo/install/ non capisco come potrà funzionare. :master:

chenotebook
18-12-2009, 21:27
Ma penso che sfrutti quello che c'è installato sul linux..

Comunque in alternativa a kloxo che mi consigliate??

Mi serve qualcosa di molto semplice e che gestisca queste estensioni di php..

Che usate voi??

Marcolino's
19-12-2009, 06:47
Sì ma non si installa solitamente il web server dopo il php.
Comunque il tuo è il pc di casa o un server di produzione?
Nel secondo caso software open buoni per fare quelle cose non ne conosco, solo i soliti plesk o cpanel ma sono a pagamento e costano pure tanto.

chenotebook
19-12-2009, 14:34
è il server ma anche kloxo non è male solo che non riesco a fare questi maledetti cambiamenti al php

Loading